import { Component } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterLink, RouterLinkActive, RouterOutlet } from '@angular/router';
import { MatToolbarModule } from '@angular/material/toolbar';
import { MatTabsModule } from '@angular/material/tabs';
import { MatIconModule } from '@angular/material/icon';

@Component({
  selector: 'app-nav-mobile-tabs',
  standalone: true,
  imports: [CommonModule, RouterOutlet, RouterLink, RouterLinkActive, MatToolbarModule, MatTabsModule
    ,MatIconModule
  ],
  templateUrl: './nav-mobile-tabs.html',
  styleUrls: ['./nav-mobile-tabs.scss']
})
export class NavMobileTabs {
  navLinks = [
    { path: 'home', label: '首页', icon: 'home' },
    { path: 'cart', label: '购物车', icon: 'shopping_cart' },
    { path: 'mine', label: '我的', icon: 'person' }
  ];
}